<?php

namespace ModulesGarden\ProxmoxAddon\App\UI\IpLog\Buttons;

use ModulesGarden\ProxmoxAddon\App\UI\IpLog\Modals\DeleteModal;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Buttons\ButtonDataTableModalAction;

/**
 * Description of DeleteButton
 *
 * @author Pawel Kopec <pawelk@modulesgardne.com>
 */
class DeleteButton extends ButtonDataTableModalAction implements AdminArea
{
    protected $icon = 'lu-btn__icon lu-zmdi lu-zmdi-delete';

    public function initContent()
    {
        $this->initIds('deleteButton');
        $this->initLoadModalAction(new DeleteModal());

        $this->switchToRemoveBtn();
    }
}
